@echo off
TITLE WP3000 Ethernet Flash-Programing[Bridge mode default]
COLOR 07
cls
echo  __________________________________________________
echo ^|This procedure does one step program.             ^|	
echo ^|This procedure needs RJ45 cross over line         ^|	
echo ^|  connectted to PC and properly setting           ^|
echo ^|  of Ethernet TCP/IP in PC.                       ^|
echo ^|   Attention: If ether step appear error          ^|
echo ^|    message, check RJ45 and Ethernet setting.     ^|
echo ^|Cmd: upgrade.bat [TargetIP]                       ^|
echo ^|Example1: upgrade firmware to 192.168.1.90        ^| 
echo ^|        CMD: upgrade.bat 192.168.1.90             ^|
echo ^|Example2: upgrade firmware to default             ^|
echo ^|          IP(192.168.1.99)                        ^|
echo ^|          upgrade.bat                             ^|
echo ^|If device is ready, press any key to continue.    ^|
echo ^|Otherwise, Ctrl+C to leave.                       ^|
echo ^|__________________________________________________^|
@pause
set DefaultIP=%1
IF "%DefaultIP%"=="" set DefaultIP=192.168.1.99
set ImgBIN=dualmode_sp.bin

:Ethernet
cls
echo  __________________________________________________
echo ^|        Programming image from Ethernet ........  ^|
echo ^|__________________________________________________^|
arp -d 2>nul
ping -n 3 %DefaultIP% > ~tmp
find "Reply from" ~tmp 1>nul
if ERRORLEVEL 1 goto :MsgEthernetError

tftp -i %DefaultIP% put %ImgBIN% / 1> nul 2>nul
if ERRORLEVEL 1 goto :MsgEthernetError
if ERRORLEVEL 0 goto :MsgEthernetOK

:MsgEthernetOK
del ~tmp 2>nul
echo ^|Success !                                         ^|
echo ^|__________________________________________________^|
echo ^|Target IP is 192.168.1.99                         ^|
echo ^|__________________________________________________^|
echo ^|Press any key to leave                            ^|
echo ^|__________________________________________________^|
goto :end

:MsgEthernetError
del ~tmp 2>nul
COLOR 0C
echo ^|Ethernet transmit failed!                         ^|
echo ^|__________________________________________________^|
echo ^|Press any key to leave                            ^|
echo ^|__________________________________________________^|
goto :end

:end
pause
COLOR 07